package com.getsnappy.snappyj;

import java.io.Writer;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class DefaultApplicationErrorHandler implements ApplicationErrorHandler{
   public DefaultApplicationErrorHandler() {
      
   }
   
   /**
    * The default application error handler simply re-throws the exception letting the 
    * application server handle it.
    * 
    * @param out is not used in this implementation
    * @param request is not used in this implementation
    * @param response is not used in this implementation
    * @throws Exception always re-throw e out unmodified
    */
   public void handleException(Exception e,Writer out,HttpServletRequest request,HttpServletResponse response) throws Exception {
      throw e;
   }

}
