package com.getsnappy.snappyj;

import java.io.IOException;
import java.io.Writer;

/**
 * This loading indicator literally does nothing.  This means that 
 * your client will not receive an indicator that a context is
 * being reloaded or forwarded.  This is useful in Intranet's where
 * low latency can be guaranteed.
 *
 * @author brian
 *
 */
public class MediumAnimatedGifLoadingIndicator extends JavaScriptLoadingIndicator {

   /**
    * true to the classes name, this function does nothing!
    */
   @Override
   public void jsStart(Writer out) throws IOException {
      out.write("undefined");
   }

}
